IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network0.160.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
0.160.0.0- Broadcast address
0.167.255.255- First usable
0.160.0.1- Last usable
0.167.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings - Old class
- A (default /8)
- As numbers
- Hex
00A00000· Integer10485760to11010047 - Reverse DNS zones
160.0.in-addr.arpa161.0.in-addr.arpa162.0.in-addr.arpa163.0.in-addr.arpa164.0.in-addr.arpa165.0.in-addr.arpa166.0.in-addr.arpa167.0.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000000.10100000.00000000.00000000 | 0.160.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000000.10100000.00000000.00000000 | 0.160.0.0 |
| Broadcast | 00000000.10100111.11111111.11111111 | 0.167.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
0.160.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 0.160.0.0/23 | 0.160.0.1 to 0.160.1.254 | 0.160.1.255 | 510 |
| 2 | 0.160.2.0/23 | 0.160.2.1 to 0.160.3.254 | 0.160.3.255 | 510 |
| 3 | 0.160.4.0/23 | 0.160.4.1 to 0.160.5.254 | 0.160.5.255 | 510 |
| 4 | 0.160.6.0/23 | 0.160.6.1 to 0.160.7.254 | 0.160.7.255 | 510 |
| 5 | 0.160.8.0/23 | 0.160.8.1 to 0.160.9.254 | 0.160.9.255 | 510 |
| 6 | 0.160.10.0/23 | 0.160.10.1 to 0.160.11.254 | 0.160.11.255 | 510 |
| 7 | 0.160.12.0/23 | 0.160.12.1 to 0.160.13.254 | 0.160.13.255 | 510 |
| 8 | 0.160.14.0/23 | 0.160.14.1 to 0.160.15.254 | 0.160.15.255 | 510 |
| 9 | 0.160.16.0/23 | 0.160.16.1 to 0.160.17.254 | 0.160.17.255 | 510 |
| 10 | 0.160.18.0/23 | 0.160.18.1 to 0.160.19.254 | 0.160.19.255 | 510 |
| 11 | 0.160.20.0/23 | 0.160.20.1 to 0.160.21.254 | 0.160.21.255 | 510 |
| 12 | 0.160.22.0/23 | 0.160.22.1 to 0.160.23.254 | 0.160.23.255 | 510 |
| 13 | 0.160.24.0/23 | 0.160.24.1 to 0.160.25.254 | 0.160.25.255 | 510 |
| 14 | 0.160.26.0/23 | 0.160.26.1 to 0.160.27.254 | 0.160.27.255 | 510 |
| 15 | 0.160.28.0/23 | 0.160.28.1 to 0.160.29.254 | 0.160.29.255 | 510 |
| 16 | 0.160.30.0/23 | 0.160.30.1 to 0.160.31.254 | 0.160.31.255 | 510 |
| 17 | 0.160.32.0/23 | 0.160.32.1 to 0.160.33.254 | 0.160.33.255 | 510 |
| 18 | 0.160.34.0/23 | 0.160.34.1 to 0.160.35.254 | 0.160.35.255 | 510 |
| 19 | 0.160.36.0/23 | 0.160.36.1 to 0.160.37.254 | 0.160.37.255 | 510 |
| 20 | 0.160.38.0/23 | 0.160.38.1 to 0.160.39.254 | 0.160.39.255 | 510 |
| 21 | 0.160.40.0/23 | 0.160.40.1 to 0.160.41.254 | 0.160.41.255 | 510 |
| 22 | 0.160.42.0/23 | 0.160.42.1 to 0.160.43.254 | 0.160.43.255 | 510 |
| 23 | 0.160.44.0/23 | 0.160.44.1 to 0.160.45.254 | 0.160.45.255 | 510 |
| 24 | 0.160.46.0/23 | 0.160.46.1 to 0.160.47.254 | 0.160.47.255 | 510 |
| 25 | 0.160.48.0/23 | 0.160.48.1 to 0.160.49.254 | 0.160.49.255 | 510 |
| 26 | 0.160.50.0/23 | 0.160.50.1 to 0.160.51.254 | 0.160.51.255 | 510 |
| 27 | 0.160.52.0/23 | 0.160.52.1 to 0.160.53.254 | 0.160.53.255 | 510 |
| 28 | 0.160.54.0/23 | 0.160.54.1 to 0.160.55.254 | 0.160.55.255 | 510 |
| 29 | 0.160.56.0/23 | 0.160.56.1 to 0.160.57.254 | 0.160.57.255 | 510 |
| 30 | 0.160.58.0/23 | 0.160.58.1 to 0.160.59.254 | 0.160.59.255 | 510 |
| 31 | 0.160.60.0/23 | 0.160.60.1 to 0.160.61.254 | 0.160.61.255 | 510 |
| 32 | 0.160.62.0/23 | 0.160.62.1 to 0.160.63.254 | 0.160.63.255 | 510 |
| 33 | 0.160.64.0/23 | 0.160.64.1 to 0.160.65.254 | 0.160.65.255 | 510 |
| 34 | 0.160.66.0/23 | 0.160.66.1 to 0.160.67.254 | 0.160.67.255 | 510 |
| 35 | 0.160.68.0/23 | 0.160.68.1 to 0.160.69.254 | 0.160.69.255 | 510 |
| 36 | 0.160.70.0/23 | 0.160.70.1 to 0.160.71.254 | 0.160.71.255 | 510 |
| 37 | 0.160.72.0/23 | 0.160.72.1 to 0.160.73.254 | 0.160.73.255 | 510 |
| 38 | 0.160.74.0/23 | 0.160.74.1 to 0.160.75.254 | 0.160.75.255 | 510 |
| 39 | 0.160.76.0/23 | 0.160.76.1 to 0.160.77.254 | 0.160.77.255 | 510 |
| 40 | 0.160.78.0/23 | 0.160.78.1 to 0.160.79.254 | 0.160.79.255 | 510 |
| 41 | 0.160.80.0/23 | 0.160.80.1 to 0.160.81.254 | 0.160.81.255 | 510 |
| 42 | 0.160.82.0/23 | 0.160.82.1 to 0.160.83.254 | 0.160.83.255 | 510 |
| 43 | 0.160.84.0/23 | 0.160.84.1 to 0.160.85.254 | 0.160.85.255 | 510 |
| 44 | 0.160.86.0/23 | 0.160.86.1 to 0.160.87.254 | 0.160.87.255 | 510 |
| 45 | 0.160.88.0/23 | 0.160.88.1 to 0.160.89.254 | 0.160.89.255 | 510 |
| 46 | 0.160.90.0/23 | 0.160.90.1 to 0.160.91.254 | 0.160.91.255 | 510 |
| 47 | 0.160.92.0/23 | 0.160.92.1 to 0.160.93.254 | 0.160.93.255 | 510 |
| 48 | 0.160.94.0/23 | 0.160.94.1 to 0.160.95.254 | 0.160.95.255 | 510 |
| 49 | 0.160.96.0/23 | 0.160.96.1 to 0.160.97.254 | 0.160.97.255 | 510 |
| 50 | 0.160.98.0/23 | 0.160.98.1 to 0.160.99.254 | 0.160.99.255 | 510 |
| 51 | 0.160.100.0/23 | 0.160.100.1 to 0.160.101.254 | 0.160.101.255 | 510 |
| 52 | 0.160.102.0/23 | 0.160.102.1 to 0.160.103.254 | 0.160.103.255 | 510 |
| 53 | 0.160.104.0/23 | 0.160.104.1 to 0.160.105.254 | 0.160.105.255 | 510 |
| 54 | 0.160.106.0/23 | 0.160.106.1 to 0.160.107.254 | 0.160.107.255 | 510 |
| 55 | 0.160.108.0/23 | 0.160.108.1 to 0.160.109.254 | 0.160.109.255 | 510 |
| 56 | 0.160.110.0/23 | 0.160.110.1 to 0.160.111.254 | 0.160.111.255 | 510 |
| 57 | 0.160.112.0/23 | 0.160.112.1 to 0.160.113.254 | 0.160.113.255 | 510 |
| 58 | 0.160.114.0/23 | 0.160.114.1 to 0.160.115.254 | 0.160.115.255 | 510 |
| 59 | 0.160.116.0/23 | 0.160.116.1 to 0.160.117.254 | 0.160.117.255 | 510 |
| 60 | 0.160.118.0/23 | 0.160.118.1 to 0.160.119.254 | 0.160.119.255 | 510 |
| 61 | 0.160.120.0/23 | 0.160.120.1 to 0.160.121.254 | 0.160.121.255 | 510 |
| 62 | 0.160.122.0/23 | 0.160.122.1 to 0.160.123.254 | 0.160.123.255 | 510 |
| 63 | 0.160.124.0/23 | 0.160.124.1 to 0.160.125.254 | 0.160.125.255 | 510 |
| 64 | 0.160.126.0/23 | 0.160.126.1 to 0.160.127.254 | 0.160.127.255 | 510 |
| 65 | 0.160.128.0/23 | 0.160.128.1 to 0.160.129.254 | 0.160.129.255 | 510 |
| 66 | 0.160.130.0/23 | 0.160.130.1 to 0.160.131.254 | 0.160.131.255 | 510 |
| 67 | 0.160.132.0/23 | 0.160.132.1 to 0.160.133.254 | 0.160.133.255 | 510 |
| 68 | 0.160.134.0/23 | 0.160.134.1 to 0.160.135.254 | 0.160.135.255 | 510 |
| 69 | 0.160.136.0/23 | 0.160.136.1 to 0.160.137.254 | 0.160.137.255 | 510 |
| 70 | 0.160.138.0/23 | 0.160.138.1 to 0.160.139.254 | 0.160.139.255 | 510 |
| 71 | 0.160.140.0/23 | 0.160.140.1 to 0.160.141.254 | 0.160.141.255 | 510 |
| 72 | 0.160.142.0/23 | 0.160.142.1 to 0.160.143.254 | 0.160.143.255 | 510 |
| 73 | 0.160.144.0/23 | 0.160.144.1 to 0.160.145.254 | 0.160.145.255 | 510 |
| 74 | 0.160.146.0/23 | 0.160.146.1 to 0.160.147.254 | 0.160.147.255 | 510 |
| 75 | 0.160.148.0/23 | 0.160.148.1 to 0.160.149.254 | 0.160.149.255 | 510 |
| 76 | 0.160.150.0/23 | 0.160.150.1 to 0.160.151.254 | 0.160.151.255 | 510 |
| 77 | 0.160.152.0/23 | 0.160.152.1 to 0.160.153.254 | 0.160.153.255 | 510 |
| 78 | 0.160.154.0/23 | 0.160.154.1 to 0.160.155.254 | 0.160.155.255 | 510 |
| 79 | 0.160.156.0/23 | 0.160.156.1 to 0.160.157.254 | 0.160.157.255 | 510 |
| 80 | 0.160.158.0/23 | 0.160.158.1 to 0.160.159.254 | 0.160.159.255 | 510 |
| 81 | 0.160.160.0/23 | 0.160.160.1 to 0.160.161.254 | 0.160.161.255 | 510 |
| 82 | 0.160.162.0/23 | 0.160.162.1 to 0.160.163.254 | 0.160.163.255 | 510 |
| 83 | 0.160.164.0/23 | 0.160.164.1 to 0.160.165.254 | 0.160.165.255 | 510 |
| 84 | 0.160.166.0/23 | 0.160.166.1 to 0.160.167.254 | 0.160.167.255 | 510 |
| 85 | 0.160.168.0/23 | 0.160.168.1 to 0.160.169.254 | 0.160.169.255 | 510 |
| 86 | 0.160.170.0/23 | 0.160.170.1 to 0.160.171.254 | 0.160.171.255 | 510 |
| 87 | 0.160.172.0/23 | 0.160.172.1 to 0.160.173.254 | 0.160.173.255 | 510 |
| 88 | 0.160.174.0/23 | 0.160.174.1 to 0.160.175.254 | 0.160.175.255 | 510 |
| 89 | 0.160.176.0/23 | 0.160.176.1 to 0.160.177.254 | 0.160.177.255 | 510 |
| 90 | 0.160.178.0/23 | 0.160.178.1 to 0.160.179.254 | 0.160.179.255 | 510 |
| 91 | 0.160.180.0/23 | 0.160.180.1 to 0.160.181.254 | 0.160.181.255 | 510 |
| 92 | 0.160.182.0/23 | 0.160.182.1 to 0.160.183.254 | 0.160.183.255 | 510 |
| 93 | 0.160.184.0/23 | 0.160.184.1 to 0.160.185.254 | 0.160.185.255 | 510 |
| 94 | 0.160.186.0/23 | 0.160.186.1 to 0.160.187.254 | 0.160.187.255 | 510 |
| 95 | 0.160.188.0/23 | 0.160.188.1 to 0.160.189.254 | 0.160.189.255 | 510 |
| 96 | 0.160.190.0/23 | 0.160.190.1 to 0.160.191.254 | 0.160.191.255 | 510 |
| 97 | 0.160.192.0/23 | 0.160.192.1 to 0.160.193.254 | 0.160.193.255 | 510 |
| 98 | 0.160.194.0/23 | 0.160.194.1 to 0.160.195.254 | 0.160.195.255 | 510 |
| 99 | 0.160.196.0/23 | 0.160.196.1 to 0.160.197.254 | 0.160.197.255 | 510 |
| 100 | 0.160.198.0/23 | 0.160.198.1 to 0.160.199.254 | 0.160.199.255 | 510 |
| 101 | 0.160.200.0/23 | 0.160.200.1 to 0.160.201.254 | 0.160.201.255 | 510 |
| 102 | 0.160.202.0/23 | 0.160.202.1 to 0.160.203.254 | 0.160.203.255 | 510 |
| 103 | 0.160.204.0/23 | 0.160.204.1 to 0.160.205.254 | 0.160.205.255 | 510 |
| 104 | 0.160.206.0/23 | 0.160.206.1 to 0.160.207.254 | 0.160.207.255 | 510 |
| 105 | 0.160.208.0/23 | 0.160.208.1 to 0.160.209.254 | 0.160.209.255 | 510 |
| 106 | 0.160.210.0/23 | 0.160.210.1 to 0.160.211.254 | 0.160.211.255 | 510 |
| 107 | 0.160.212.0/23 | 0.160.212.1 to 0.160.213.254 | 0.160.213.255 | 510 |
| 108 | 0.160.214.0/23 | 0.160.214.1 to 0.160.215.254 | 0.160.215.255 | 510 |
| 109 | 0.160.216.0/23 | 0.160.216.1 to 0.160.217.254 | 0.160.217.255 | 510 |
| 110 | 0.160.218.0/23 | 0.160.218.1 to 0.160.219.254 | 0.160.219.255 | 510 |
| 111 | 0.160.220.0/23 | 0.160.220.1 to 0.160.221.254 | 0.160.221.255 | 510 |
| 112 | 0.160.222.0/23 | 0.160.222.1 to 0.160.223.254 | 0.160.223.255 | 510 |
| 113 | 0.160.224.0/23 | 0.160.224.1 to 0.160.225.254 | 0.160.225.255 | 510 |
| 114 | 0.160.226.0/23 | 0.160.226.1 to 0.160.227.254 | 0.160.227.255 | 510 |
| 115 | 0.160.228.0/23 | 0.160.228.1 to 0.160.229.254 | 0.160.229.255 | 510 |
| 116 | 0.160.230.0/23 | 0.160.230.1 to 0.160.231.254 | 0.160.231.255 | 510 |
| 117 | 0.160.232.0/23 | 0.160.232.1 to 0.160.233.254 | 0.160.233.255 | 510 |
| 118 | 0.160.234.0/23 | 0.160.234.1 to 0.160.235.254 | 0.160.235.255 | 510 |
| 119 | 0.160.236.0/23 | 0.160.236.1 to 0.160.237.254 | 0.160.237.255 | 510 |
| 120 | 0.160.238.0/23 | 0.160.238.1 to 0.160.239.254 | 0.160.239.255 | 510 |
| 121 | 0.160.240.0/23 | 0.160.240.1 to 0.160.241.254 | 0.160.241.255 | 510 |
| 122 | 0.160.242.0/23 | 0.160.242.1 to 0.160.243.254 | 0.160.243.255 | 510 |
| 123 | 0.160.244.0/23 | 0.160.244.1 to 0.160.245.254 | 0.160.245.255 | 510 |
| 124 | 0.160.246.0/23 | 0.160.246.1 to 0.160.247.254 | 0.160.247.255 | 510 |
| 125 | 0.160.248.0/23 | 0.160.248.1 to 0.160.249.254 | 0.160.249.255 | 510 |
| 126 | 0.160.250.0/23 | 0.160.250.1 to 0.160.251.254 | 0.160.251.255 | 510 |
| 127 | 0.160.252.0/23 | 0.160.252.1 to 0.160.253.254 | 0.160.253.255 | 510 |
| 128 | 0.160.254.0/23 | 0.160.254.1 to 0.160.255.254 | 0.160.255.255 | 510 |
| 129 | 0.161.0.0/23 | 0.161.0.1 to 0.161.1.254 | 0.161.1.255 | 510 |
| 130 | 0.161.2.0/23 | 0.161.2.1 to 0.161.3.254 | 0.161.3.255 | 510 |
| 131 | 0.161.4.0/23 | 0.161.4.1 to 0.161.5.254 | 0.161.5.255 | 510 |
| 132 | 0.161.6.0/23 | 0.161.6.1 to 0.161.7.254 | 0.161.7.255 | 510 |
| 133 | 0.161.8.0/23 | 0.161.8.1 to 0.161.9.254 | 0.161.9.255 | 510 |
| 134 | 0.161.10.0/23 | 0.161.10.1 to 0.161.11.254 | 0.161.11.255 | 510 |
| 135 | 0.161.12.0/23 | 0.161.12.1 to 0.161.13.254 | 0.161.13.255 | 510 |
| 136 | 0.161.14.0/23 | 0.161.14.1 to 0.161.15.254 | 0.161.15.255 | 510 |
| 137 | 0.161.16.0/23 | 0.161.16.1 to 0.161.17.254 | 0.161.17.255 | 510 |
| 138 | 0.161.18.0/23 | 0.161.18.1 to 0.161.19.254 | 0.161.19.255 | 510 |
| 139 | 0.161.20.0/23 | 0.161.20.1 to 0.161.21.254 | 0.161.21.255 | 510 |
| 140 | 0.161.22.0/23 | 0.161.22.1 to 0.161.23.254 | 0.161.23.255 | 510 |
| 141 | 0.161.24.0/23 | 0.161.24.1 to 0.161.25.254 | 0.161.25.255 | 510 |
| 142 | 0.161.26.0/23 | 0.161.26.1 to 0.161.27.254 | 0.161.27.255 | 510 |
| 143 | 0.161.28.0/23 | 0.161.28.1 to 0.161.29.254 | 0.161.29.255 | 510 |
| 144 | 0.161.30.0/23 | 0.161.30.1 to 0.161.31.254 | 0.161.31.255 | 510 |
| 145 | 0.161.32.0/23 | 0.161.32.1 to 0.161.33.254 | 0.161.33.255 | 510 |
| 146 | 0.161.34.0/23 | 0.161.34.1 to 0.161.35.254 | 0.161.35.255 | 510 |
| 147 | 0.161.36.0/23 | 0.161.36.1 to 0.161.37.254 | 0.161.37.255 | 510 |
| 148 | 0.161.38.0/23 | 0.161.38.1 to 0.161.39.254 | 0.161.39.255 | 510 |
| 149 | 0.161.40.0/23 | 0.161.40.1 to 0.161.41.254 | 0.161.41.255 | 510 |
| 150 | 0.161.42.0/23 | 0.161.42.1 to 0.161.43.254 | 0.161.43.255 | 510 |
| 151 | 0.161.44.0/23 | 0.161.44.1 to 0.161.45.254 | 0.161.45.255 | 510 |
| 152 | 0.161.46.0/23 | 0.161.46.1 to 0.161.47.254 | 0.161.47.255 | 510 |
| 153 | 0.161.48.0/23 | 0.161.48.1 to 0.161.49.254 | 0.161.49.255 | 510 |
| 154 | 0.161.50.0/23 | 0.161.50.1 to 0.161.51.254 | 0.161.51.255 | 510 |
| 155 | 0.161.52.0/23 | 0.161.52.1 to 0.161.53.254 | 0.161.53.255 | 510 |
| 156 | 0.161.54.0/23 | 0.161.54.1 to 0.161.55.254 | 0.161.55.255 | 510 |
| 157 | 0.161.56.0/23 | 0.161.56.1 to 0.161.57.254 | 0.161.57.255 | 510 |
| 158 | 0.161.58.0/23 | 0.161.58.1 to 0.161.59.254 | 0.161.59.255 | 510 |
| 159 | 0.161.60.0/23 | 0.161.60.1 to 0.161.61.254 | 0.161.61.255 | 510 |
| 160 | 0.161.62.0/23 | 0.161.62.1 to 0.161.63.254 | 0.161.63.255 | 510 |
| 161 | 0.161.64.0/23 | 0.161.64.1 to 0.161.65.254 | 0.161.65.255 | 510 |
| 162 | 0.161.66.0/23 | 0.161.66.1 to 0.161.67.254 | 0.161.67.255 | 510 |
| 163 | 0.161.68.0/23 | 0.161.68.1 to 0.161.69.254 | 0.161.69.255 | 510 |
| 164 | 0.161.70.0/23 | 0.161.70.1 to 0.161.71.254 | 0.161.71.255 | 510 |
| 165 | 0.161.72.0/23 | 0.161.72.1 to 0.161.73.254 | 0.161.73.255 | 510 |
| 166 | 0.161.74.0/23 | 0.161.74.1 to 0.161.75.254 | 0.161.75.255 | 510 |
| 167 | 0.161.76.0/23 | 0.161.76.1 to 0.161.77.254 | 0.161.77.255 | 510 |
| 168 | 0.161.78.0/23 | 0.161.78.1 to 0.161.79.254 | 0.161.79.255 | 510 |
| 169 | 0.161.80.0/23 | 0.161.80.1 to 0.161.81.254 | 0.161.81.255 | 510 |
| 170 | 0.161.82.0/23 | 0.161.82.1 to 0.161.83.254 | 0.161.83.255 | 510 |
| 171 | 0.161.84.0/23 | 0.161.84.1 to 0.161.85.254 | 0.161.85.255 | 510 |
| 172 | 0.161.86.0/23 | 0.161.86.1 to 0.161.87.254 | 0.161.87.255 | 510 |
| 173 | 0.161.88.0/23 | 0.161.88.1 to 0.161.89.254 | 0.161.89.255 | 510 |
| 174 | 0.161.90.0/23 | 0.161.90.1 to 0.161.91.254 | 0.161.91.255 | 510 |
| 175 | 0.161.92.0/23 | 0.161.92.1 to 0.161.93.254 | 0.161.93.255 | 510 |
| 176 | 0.161.94.0/23 | 0.161.94.1 to 0.161.95.254 | 0.161.95.255 | 510 |
| 177 | 0.161.96.0/23 | 0.161.96.1 to 0.161.97.254 | 0.161.97.255 | 510 |
| 178 | 0.161.98.0/23 | 0.161.98.1 to 0.161.99.254 | 0.161.99.255 | 510 |
| 179 | 0.161.100.0/23 | 0.161.100.1 to 0.161.101.254 | 0.161.101.255 | 510 |
| 180 | 0.161.102.0/23 | 0.161.102.1 to 0.161.103.254 | 0.161.103.255 | 510 |
| 181 | 0.161.104.0/23 | 0.161.104.1 to 0.161.105.254 | 0.161.105.255 | 510 |
| 182 | 0.161.106.0/23 | 0.161.106.1 to 0.161.107.254 | 0.161.107.255 | 510 |
| 183 | 0.161.108.0/23 | 0.161.108.1 to 0.161.109.254 | 0.161.109.255 | 510 |
| 184 | 0.161.110.0/23 | 0.161.110.1 to 0.161.111.254 | 0.161.111.255 | 510 |
| 185 | 0.161.112.0/23 | 0.161.112.1 to 0.161.113.254 | 0.161.113.255 | 510 |
| 186 | 0.161.114.0/23 | 0.161.114.1 to 0.161.115.254 | 0.161.115.255 | 510 |
| 187 | 0.161.116.0/23 | 0.161.116.1 to 0.161.117.254 | 0.161.117.255 | 510 |
| 188 | 0.161.118.0/23 | 0.161.118.1 to 0.161.119.254 | 0.161.119.255 | 510 |
| 189 | 0.161.120.0/23 | 0.161.120.1 to 0.161.121.254 | 0.161.121.255 | 510 |
| 190 | 0.161.122.0/23 | 0.161.122.1 to 0.161.123.254 | 0.161.123.255 | 510 |
| 191 | 0.161.124.0/23 | 0.161.124.1 to 0.161.125.254 | 0.161.125.255 | 510 |
| 192 | 0.161.126.0/23 | 0.161.126.1 to 0.161.127.254 | 0.161.127.255 | 510 |
| 193 | 0.161.128.0/23 | 0.161.128.1 to 0.161.129.254 | 0.161.129.255 | 510 |
| 194 | 0.161.130.0/23 | 0.161.130.1 to 0.161.131.254 | 0.161.131.255 | 510 |
| 195 | 0.161.132.0/23 | 0.161.132.1 to 0.161.133.254 | 0.161.133.255 | 510 |
| 196 | 0.161.134.0/23 | 0.161.134.1 to 0.161.135.254 | 0.161.135.255 | 510 |
| 197 | 0.161.136.0/23 | 0.161.136.1 to 0.161.137.254 | 0.161.137.255 | 510 |
| 198 | 0.161.138.0/23 | 0.161.138.1 to 0.161.139.254 | 0.161.139.255 | 510 |
| 199 | 0.161.140.0/23 | 0.161.140.1 to 0.161.141.254 | 0.161.141.255 | 510 |
| 200 | 0.161.142.0/23 | 0.161.142.1 to 0.161.143.254 | 0.161.143.255 | 510 |
| 201 | 0.161.144.0/23 | 0.161.144.1 to 0.161.145.254 | 0.161.145.255 | 510 |
| 202 | 0.161.146.0/23 | 0.161.146.1 to 0.161.147.254 | 0.161.147.255 | 510 |
| 203 | 0.161.148.0/23 | 0.161.148.1 to 0.161.149.254 | 0.161.149.255 | 510 |
| 204 | 0.161.150.0/23 | 0.161.150.1 to 0.161.151.254 | 0.161.151.255 | 510 |
| 205 | 0.161.152.0/23 | 0.161.152.1 to 0.161.153.254 | 0.161.153.255 | 510 |
| 206 | 0.161.154.0/23 | 0.161.154.1 to 0.161.155.254 | 0.161.155.255 | 510 |
| 207 | 0.161.156.0/23 | 0.161.156.1 to 0.161.157.254 | 0.161.157.255 | 510 |
| 208 | 0.161.158.0/23 | 0.161.158.1 to 0.161.159.254 | 0.161.159.255 | 510 |
| 209 | 0.161.160.0/23 | 0.161.160.1 to 0.161.161.254 | 0.161.161.255 | 510 |
| 210 | 0.161.162.0/23 | 0.161.162.1 to 0.161.163.254 | 0.161.163.255 | 510 |
| 211 | 0.161.164.0/23 | 0.161.164.1 to 0.161.165.254 | 0.161.165.255 | 510 |
| 212 | 0.161.166.0/23 | 0.161.166.1 to 0.161.167.254 | 0.161.167.255 | 510 |
| 213 | 0.161.168.0/23 | 0.161.168.1 to 0.161.169.254 | 0.161.169.255 | 510 |
| 214 | 0.161.170.0/23 | 0.161.170.1 to 0.161.171.254 | 0.161.171.255 | 510 |
| 215 | 0.161.172.0/23 | 0.161.172.1 to 0.161.173.254 | 0.161.173.255 | 510 |
| 216 | 0.161.174.0/23 | 0.161.174.1 to 0.161.175.254 | 0.161.175.255 | 510 |
| 217 | 0.161.176.0/23 | 0.161.176.1 to 0.161.177.254 | 0.161.177.255 | 510 |
| 218 | 0.161.178.0/23 | 0.161.178.1 to 0.161.179.254 | 0.161.179.255 | 510 |
| 219 | 0.161.180.0/23 | 0.161.180.1 to 0.161.181.254 | 0.161.181.255 | 510 |
| 220 | 0.161.182.0/23 | 0.161.182.1 to 0.161.183.254 | 0.161.183.255 | 510 |
| 221 | 0.161.184.0/23 | 0.161.184.1 to 0.161.185.254 | 0.161.185.255 | 510 |
| 222 | 0.161.186.0/23 | 0.161.186.1 to 0.161.187.254 | 0.161.187.255 | 510 |
| 223 | 0.161.188.0/23 | 0.161.188.1 to 0.161.189.254 | 0.161.189.255 | 510 |
| 224 | 0.161.190.0/23 | 0.161.190.1 to 0.161.191.254 | 0.161.191.255 | 510 |
| 225 | 0.161.192.0/23 | 0.161.192.1 to 0.161.193.254 | 0.161.193.255 | 510 |
| 226 | 0.161.194.0/23 | 0.161.194.1 to 0.161.195.254 | 0.161.195.255 | 510 |
| 227 | 0.161.196.0/23 | 0.161.196.1 to 0.161.197.254 | 0.161.197.255 | 510 |
| 228 | 0.161.198.0/23 | 0.161.198.1 to 0.161.199.254 | 0.161.199.255 | 510 |
| 229 | 0.161.200.0/23 | 0.161.200.1 to 0.161.201.254 | 0.161.201.255 | 510 |
| 230 | 0.161.202.0/23 | 0.161.202.1 to 0.161.203.254 | 0.161.203.255 | 510 |
| 231 | 0.161.204.0/23 | 0.161.204.1 to 0.161.205.254 | 0.161.205.255 | 510 |
| 232 | 0.161.206.0/23 | 0.161.206.1 to 0.161.207.254 | 0.161.207.255 | 510 |
| 233 | 0.161.208.0/23 | 0.161.208.1 to 0.161.209.254 | 0.161.209.255 | 510 |
| 234 | 0.161.210.0/23 | 0.161.210.1 to 0.161.211.254 | 0.161.211.255 | 510 |
| 235 | 0.161.212.0/23 | 0.161.212.1 to 0.161.213.254 | 0.161.213.255 | 510 |
| 236 | 0.161.214.0/23 | 0.161.214.1 to 0.161.215.254 | 0.161.215.255 | 510 |
| 237 | 0.161.216.0/23 | 0.161.216.1 to 0.161.217.254 | 0.161.217.255 | 510 |
| 238 | 0.161.218.0/23 | 0.161.218.1 to 0.161.219.254 | 0.161.219.255 | 510 |
| 239 | 0.161.220.0/23 | 0.161.220.1 to 0.161.221.254 | 0.161.221.255 | 510 |
| 240 | 0.161.222.0/23 | 0.161.222.1 to 0.161.223.254 | 0.161.223.255 | 510 |
| 241 | 0.161.224.0/23 | 0.161.224.1 to 0.161.225.254 | 0.161.225.255 | 510 |
| 242 | 0.161.226.0/23 | 0.161.226.1 to 0.161.227.254 | 0.161.227.255 | 510 |
| 243 | 0.161.228.0/23 | 0.161.228.1 to 0.161.229.254 | 0.161.229.255 | 510 |
| 244 | 0.161.230.0/23 | 0.161.230.1 to 0.161.231.254 | 0.161.231.255 | 510 |
| 245 | 0.161.232.0/23 | 0.161.232.1 to 0.161.233.254 | 0.161.233.255 | 510 |
| 246 | 0.161.234.0/23 | 0.161.234.1 to 0.161.235.254 | 0.161.235.255 | 510 |
| 247 | 0.161.236.0/23 | 0.161.236.1 to 0.161.237.254 | 0.161.237.255 | 510 |
| 248 | 0.161.238.0/23 | 0.161.238.1 to 0.161.239.254 | 0.161.239.255 | 510 |
| 249 | 0.161.240.0/23 | 0.161.240.1 to 0.161.241.254 | 0.161.241.255 | 510 |
| 250 | 0.161.242.0/23 | 0.161.242.1 to 0.161.243.254 | 0.161.243.255 | 510 |
| 251 | 0.161.244.0/23 | 0.161.244.1 to 0.161.245.254 | 0.161.245.255 | 510 |
| 252 | 0.161.246.0/23 | 0.161.246.1 to 0.161.247.254 | 0.161.247.255 | 510 |
| 253 | 0.161.248.0/23 | 0.161.248.1 to 0.161.249.254 | 0.161.249.255 | 510 |
| 254 | 0.161.250.0/23 | 0.161.250.1 to 0.161.251.254 | 0.161.251.255 | 510 |
| 255 | 0.161.252.0/23 | 0.161.252.1 to 0.161.253.254 | 0.161.253.255 | 510 |
| 256 | 0.161.254.0/23 | 0.161.254.1 to 0.161.255.254 | 0.161.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |